# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import pydantic
import datetime as dt
import typing
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class AssistantVersion(UniversalBaseModel):
    """
    Represents a version of an assistant.
    """

    assistant_id: str = pydantic.Field()
    """
    ID of the assistant this version belongs to.
    """

    version: int = pydantic.Field()
    """
    Version number of the assistant.
    """

    graph_id: str = pydantic.Field()
    """
    Graph ID of the assistant version.
    """

    created_at: dt.datetime = pydantic.Field()
    """
    Timestamp when the assistant version was created.
    """

    updated_at: dt.datetime = pydantic.Field()
    """
    Timestamp when the assistant version was last updated.
    """

    config: typing.Optional[typing.Dict[str, typing.Optional[typing.Any]]] = pydantic.Field(default=None)
    """
    The assistant config.
    """

    metadata: typing.Optional[typing.Dict[str, typing.Optional[typing.Any]]] = pydantic.Field(default=None)
    """
    The metadata of the assistant version.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
